unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Menus;

type

  { TMainForm }

  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MyMemo: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure MenuItem2Click(Sender: TObject);
    procedure MenuItem4Click(Sender: TObject);
  private

  public

  end;

var
  MainForm: TMainForm;

implementation

{$R *.lfm}

uses
  infoform;

procedure TMainForm.MenuItem2Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  
with MyMemo.Lines do
begin
  add('');
  add('To show the name of the OS use the main menu, please ... ');
  add('');
end ;
end;

procedure TMainForm.MenuItem4Click(Sender: TObject);
begin
  MyInfoForm.Show;
  with MyInfoForm.InfoMemo.Lines do
  begin
    {$IFDEF Linux}
      add('Hallo, Du nutzt Linux ...');
    {$ENDIF}
    {$IFDEF WIN64}
      add('Oh jeeeh!!!');
    {$ENDIF}
    {$IFDEF WIN32}
      add('Oh jeeeh!!!');
    {$ENDIF}
    {$IFDEF MACOS}
      add('Na ja ...');
    {$ENDIF}
    {$IFDEF Linux}
      add('... und das ist richtig toll ... ;)');
    {$ENDIF}
  end;
end;


end.

